package com.io.yutian.elementoriginlib.item.stat.data;

import com.io.yutian.elementoriginlib.item.stat.Mergeable;
import com.io.yutian.elementoriginlib.item.stat.StatData;
import org.jetbrains.annotations.NotNull;

public class IntData implements StatData, Mergeable<IntData> {

    private int value;

    public IntData(int value) {
        this.value = value;
    }

    public int getInt() {
        return value;
    }

    public void setInt(int value) {
        this.value = value;
    }

    @Override
    public void merge(IntData var1) {
        this.value += var1.value;
    }

    @NotNull
    @Override
    public IntData cloneData() {
        return new IntData(value);
    }

    @Override
    public boolean isEmpty() {
        return false;
    }
}
