package com.io.yutian.elementoriginlib.item.stat.data;

import com.io.yutian.elementoriginlib.item.stat.Mergeable;
import com.io.yutian.elementoriginlib.item.stat.StatData;
import org.jetbrains.annotations.NotNull;

public class StringData implements StatData, Mergeable<StringData> {

    private String value;

    public StringData(String value) {
        this.value = value;
    }

    public String getString() {
        return value;
    }

    public void setString(String string) {
        this.value = string;
    }

    @Override
    public boolean isEmpty() {
        return value == null || value.trim().isEmpty();
    }


    @Override
    public void merge(StringData var1) {
        this.value = var1.value;
    }

    @NotNull
    @Override
    public StringData cloneData() {
        return new StringData(value);
    }

}
