package com.io.yutian.elementoriginlib.nbt;

public class NBTByte extends NBTNumber {

    public static byte TYPE_ID = 1;

    private byte value;

    public NBTByte(byte value) {
        this.value = value;
    }

    public NBTByte() {
    }

    @Override
    public Object getValue() {
        return this.value;
    }

    @Override
    public byte getTypeId() {
        return TYPE_ID;
    }

    @Override
    public long getLong() {
        return this.value;
    }

    @Override
    public int getInt() {
        return this.value;
    }

    @Override
    public short getShort() {
        return this.value;
    }

    @Override
    public byte getByte() {
        return this.value;
    }

    @Override
    public double getDouble() {
        return this.value;
    }

    @Override
    public float getFloat() {
        return this.value;
    }

    public static NBTByte a(boolean var0) {
        return var0 ? new NBTByte((byte) 1) : new NBTByte((byte) 0);
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        NBTByte nbtByte = (NBTByte) o;
        return value == nbtByte.value;
    }

    @Override
    public int hashCode() {
        return value;
    }

    @Override
    public String toString() {
        return "NBTByte{" +
                "value=" + value +
                '}';
    }

}
