package com.io.yutian.elementoriginlib.util;

import org.bukkit.Material;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.ItemStack;

public class InventoryUtil {

    public static void takeItemStack(Inventory inventory, ItemStack itemStack, int amount) {
        int index = -1;
        int nowAmount = amount;
        while (index < inventory.getSize() && nowAmount > 0) {
            ++index;
            ItemStack i = inventory.getItem(index);
            if (i != null && ItemStackUtil.matches(itemStack, i)) {
                int k = i.getAmount();
                if (k < nowAmount) {
                    i.setType(Material.AIR);
                } else {
                    int l = k - nowAmount;
                    i.setAmount(l);
                }
                nowAmount -= k;
            }
        }
    }

}
